Bug 143265 - Message disappears until restart
Message disappears until restart
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2004-12-17 15:16 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 07:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-12-17 15:16:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
I have a few folders, some have lots of messages, one has none.

I drag a message from a folder with lots of message to the folder with
none. I switch to that folder, and can see the message.
I drag the message back to the folder with lots, and switch to that

There are a lot of messages in the folder, so I run a search on the
The message isn't found.

I restart Evolution, and try again. I find the message.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
This is an "apparent data loss bug", so maybe "normal" is the wrong
Comment 1 Dave Malcolm 2005-03-08 14:52:09 EST
What type of store is the folder using (local/IMAP etc?)
Which version of evolution?
Comment 2 Need Real Name 2005-03-09 09:06:30 EST
I can't reproduce this as the original bug, but I do have a similar
problem. Let me know if you want a new bug.

Local store. evolution-2.0.2-3.

1. Empty Trash, restart Evolution. Check Trash is still empty (it
wasn't for me, did it twice).
2. Create new sub-folder under Inbox, move two e-mails from Inbox to
3. Now move them back to the Inbox, and delete them from there.
4. Check Trash - there should be two e-mails.

I see six.
Comment 3 Need Real Name 2005-03-09 09:07:01 EST
Dragging from Trash to undelete seems to behave oddly too.
Comment 5 Matthew Miller 2006-07-10 17:35:04 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Matthew Miller 2006-07-11 14:26:05 EDT
(reporter moved to FC5)
Comment 7 Matthew Miller 2006-07-11 14:27:18 EDT
(urg. the "I am providing the requested information..." checkbox doesn't always
work. sorry.)
Comment 8 Matthew Barnes 2007-01-02 09:28:20 EST
Is this problem still present in Fedora Core 6 or later?
Comment 9 Need Real Name 2007-01-02 17:16:12 EST
I still get a copy of an e-mail in my trash whenever it moves folders.
The other behaviour is gone.
Comment 10 Matěj Cepl 2007-08-31 11:20:54 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 11 Matěj Cepl 2007-09-10 07:53:07 EDT
(In reply to comment #9)
> I still get a copy of an e-mail in my trash whenever it moves folders.
> The other behaviour is gone.

This is not a bug -- trash is not real folder, but just vfolder containing all
removed messages. Just press Ctrl-E (or from menu click on Folder/Purge) and all
these messages are gone.

Note You need to log in before you can comment on or make changes to this bug.